पैकेट स्निफ़िंग की आवश्यकताएं

GitHub पर स्रोत देखें

Pyspinel का इस्तेमाल करने के लिए, आपको हार्डवेयर और सॉफ़्टवेयर की इन ज़रूरतों को पूरा करना होगा.

हार्डवेयर

  • NCP के रूप में काम करने और Pyspinel और Virusshark चलाने के लिए होस्ट होस्ट:

    • macOS — 64 बिट OS X 10.6 या उसके बाद के वर्शन
    • Linux
    • Windows — 10 या उसके बाद के वर्शन
  • 1 OpenThread डिवाइस एक ot-ncp-ftd या ot-rcp बिल्ड के साथ फ़्लैश किया गया.

    • ot-ncp-ftd बिल्ड के लिए, LINK_RAW=1 बिल्ड स्विच का इस्तेमाल करना ज़रूरी है.

सॉफ़्टवेयर:

  • Pyspinel चलाने के लिए, Python 3
  • वायर शार्क

    • '{5/} प्रोटोकॉल सहायता' के लिए 2.4.1 या उसके बाद का वर्शन
    • extcap सहायता के लिए 3.0.6 या उसके बाद का वर्शन. Pyspinel के साथ वायरशार्क एक्सटेंशन कैप प्लग इन का इस्तेमाल करने के बारे में ज़्यादा जानकारी के लिए, Pyspinel इंस्टॉल करें देखें.